[ARVADOS-DEV] updated: 02d27b88fe5afeb52e69b387929ef8d59663c09c
git at public.curoverse.com
git at public.curoverse.com
Sat Feb 14 14:21:12 EST 2015
Summary of changes:
jenkins/run-tests.sh | 27 ++++++++++++++++++++-------
1 file changed, 20 insertions(+), 7 deletions(-)
via 02d27b88fe5afeb52e69b387929ef8d59663c09c (commit)
via be33b03fe8aef6e9e23f82ee7653bc46fabef161 (commit)
from 2d03ecf4a147db64708991bd3bf2f1d9fc9b358e (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
commit 02d27b88fe5afeb52e69b387929ef8d59663c09c
Author: Ward Vandewege <ward at curoverse.com>
Date: Sat Feb 14 14:21:14 2015 -0500
When run-tests.sh is invoked to only run the api server tests, do not
spin up an api server for all the tests that will not be run.
No issue #
diff --git a/jenkins/run-tests.sh b/jenkins/run-tests.sh
index 03928ce..a706068 100755
--- a/jenkins/run-tests.sh
+++ b/jenkins/run-tests.sh
@@ -546,6 +546,13 @@ stop_api() {
&& python sdk/python/tests/run_test_server.py stop
}
+clean_up() {
+ report_outcomes
+ clear_temp
+
+ exit ${#failures}
+}
+
test_doclinkchecker() {
(
set -e
@@ -566,6 +573,14 @@ test_apiserver() {
}
do_test services/api apiserver
+# Shortcut for when we're only running apiserver tests. This saves a bit of time,
+# because we don't need to start up the api server for subsequent tests.
+if [ ! -z "$only" ] && [ "$only" == "services/api" ]; then
+ rotate_logfile "$WORKSPACE/services/api/log/" "test.log"
+
+ clean_up
+fi
+
start_api
test_ruby_sdk() {
@@ -612,9 +627,6 @@ do_test apps/workbench_profile workbench_profile
rotate_logfile "$WORKSPACE/apps/workbench/log/" "test.log"
stop_api
-rotate_logfile "$WORKSPACE/services/api/log/" "test.log"
-report_outcomes
-clear_temp
-
-exit ${#failures}
+rotate_logfile "$WORKSPACE/services/api/log/" "test.log"
+clean_up
commit be33b03fe8aef6e9e23f82ee7653bc46fabef161
Author: Ward Vandewege <ward at curoverse.com>
Date: Sat Feb 14 14:06:36 2015 -0500
Make pip install quiet, no point in printing loads of useless warnings
(looking at you, PyYAML!).
No issue #
diff --git a/jenkins/run-tests.sh b/jenkins/run-tests.sh
index 689405b..03928ce 100755
--- a/jenkins/run-tests.sh
+++ b/jenkins/run-tests.sh
@@ -334,7 +334,8 @@ then
fi
# Needed for run_test_server.py which is used by certain (non-Python) tests.
-pip install PyYAML || fatal "pip install PyYAML failed"
+echo "pip install -q PyYAML"
+pip install -q PyYAML || fatal "pip install PyYAML failed"
checkexit() {
if [[ "$?" != "0" ]]; then
@@ -390,7 +391,7 @@ do_install() {
then
cd "$WORKSPACE/$1" \
&& python setup.py sdist rotate --keep=1 --match .tar.gz \
- && pip install --upgrade dist/*.tar.gz
+ && pip install -q --upgrade dist/*.tar.gz
elif [[ "$2" != "" ]]
then
"install_$2"
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list